I just install the ESX VM from 0 and I get an update error


#1

This is what I get:

ERROR: The package state on this system is inconsistent.
Please run ‘dpkg --configure -a’ manually
Error: Update aborted by pre-update script of release 4.2-4

Here is the complete log:

04.06.18 17:57:49.098  DEBUG_INIT
**** Starting univention-updater with parameter=['/usr/share/univention-updater/univention-updater', 'net', '--updateto', '4.3-0', '--ignoressh', '--ignoreterm']
Version=4.2
Patchlevel=3
starting net mode
04.06.18 17:57:49.098  DEBUG_INIT
**** Starting univention-updater with parameter=['/usr/share/univention-updater/univention-updater', 'net', '--updateto', '4.3-0', '--ignoressh', '--ignoreterm']
Version=4.2
Patchlevel=3
starting net mode
Running preup.sh script
lun  4 giu 2018, 17.58.05, CEST

HINT:
Please check the release notes carefully BEFORE updating to UCS 4.2-4:
 English version: https://docs.software-univention.de/release-notes-4.2-4-en.html
 German version:  https://docs.software-univention.de/release-notes-4.2-4-de.html

Please also consider documents of following release updates and
3rd party components.

Do you want to continue [Y/n]?
Custom preupdate script /var/lib/local-preup.sh not found
WARNING: skipped disk-usage-test as requested
Checking for package status: iU  apache2                                             2.4.10-10+deb8u12A~4.2.3.201804040747          amd64        Apache HTTP Server
iU  apache2-bin                                         2.4.10-10+deb8u12A~4.2.3.201804040747          amd64        Apache HTTP Server (modules and other binary files)
iU  apache2-data                                        2.4.10-10+deb8u12A~4.2.3.201804040747          all          Apache HTTP Server (common files)
iU  apache2-mpm-prefork                                 2.4.10-10+deb8u12A~4.2.3.201804040747          amd64        transitional prefork MPM package for apache2
iU  apache2-utils                                       2.4.10-10+deb8u12A~4.2.3.201804040747          amd64        Apache HTTP Server (utility programs for web servers)
iU  cpp-4.9                                             4.9.2-10+deb8u1                                amd64        GNU C preprocessor
iU  curl                                                7.38.0-4+deb8u10                               amd64        command line tool for transferring data with URL syntax
iU  db5.3-util                                          5.3.28-9+deb8u1                                amd64        Berkeley v5.3 Database Utilities
iU  gpgv                                                1.4.18-7+deb8u4                                amd64        GNU privacy guard - signature verification tool
iU  imagemagick-common                                  8:6.8.9.9-5+deb8u11                            all          image manipulation programs -- infrastructure
iU  libcurl3:amd64                                      7.38.0-4+deb8u10                               amd64        easy-to-use client-side URL transfer library (OpenSSL flavour)
iU  libcurl3-gnutls:amd64                               7.38.0-4+deb8u10                               amd64        easy-to-use client-side URL transfer library (GnuTLS flavour)
iU  libdns-export100                                    1:9.9.5.dfsg-9+deb8u15A~4.2.3.201802061643     amd64        Exported DNS Shared Library
iU  libexpat1:amd64                                     2.1.0-6+deb8u4                                 amd64        XML parsing C library - runtime library
iU  libffi6:amd64                                       3.1-2+deb8u1                                   amd64        Foreign Function Interface library runtime
iU  libfreetype6:amd64                                  2.5.2-3+deb8u2                                 amd64        FreeType 2 font engine, shared library files
iU  libgd3:amd64                                        2.1.0-5+deb8u11                                amd64        GD Graphics Library
iU  libgdk-pixbuf2.0-0:amd64                            2.31.1-2+deb8u7                                amd64        GDK Pixbuf library
iU  libgdk-pixbuf2.0-common                             2.31.1-2+deb8u7                                all          GDK Pixbuf library - data files
iU  libgfortran3:amd64                                  4.9.2-10+deb8u1                                amd64        Runtime library for GNU Fortran applications
iU  libgnutls-deb0-28:amd64                             3.3.8-6+deb8u7                                 amd64        GNU TLS library - main runtime library
iU  libgnutls-openssl27:amd64                           3.3.8-6+deb8u7                                 amd64        GNU TLS library - OpenSSL wrapper
iU  libgomp1:amd64                                      4.9.2-10+deb8u1                                amd64        GCC OpenMP (GOMP) support library
iU  libgraphite2-3:amd64                                1.3.10-1~deb8u1                                amd64        Font rendering engine for Complex Scripts -- library
iU  libgssapi-krb5-2:amd64                              1.12.1+dfsg-19+deb8u4                          amd64        MIT Kerberos runtime libraries - krb5 GSS-API Mechanism
iU  libgudev-1.0-0:amd64                                215-17+deb8u7A~4.2.3.201801211553              amd64        GObject-based wrapper library for libudev
iU  libicu52:amd64                                      52.1-8+deb8u7                                  amd64        International Components for Unicode
iU  libirs-export91                                     1:9.9.5.dfsg-9+deb8u15A~4.2.3.201802061643     amd64        Exported IRS Shared Library
iU  libisc-export95                                     1:9.9.5.dfsg-9+deb8u15A~4.2.3.201802061643     amd64        Exported ISC Shared Library
iU  libisccfg-export90                                  1:9.9.5.dfsg-9+deb8u15A~4.2.3.201802061643     amd64        Exported ISC CFG Shared Library
iU  libjasper1:amd64                                    1.900.1-debian1-2.4+deb8u3                     amd64        JasPer JPEG-2000 runtime library
iU  libk5crypto3:amd64                                  1.12.1+dfsg-19+deb8u4                          amd64        MIT Kerberos runtime libraries - Crypto Library
iU  libkrb5-3:amd64                                     1.12.1+dfsg-19+deb8u4                          amd64        MIT Kerberos runtime libraries
iU  libkrb5support0:amd64                               1.12.1+dfsg-19+deb8u4                          amd64        MIT Kerberos runtime libraries - Support library
iU  libmagickcore-6.q16-2:amd64                         8:6.8.9.9-5+deb8u11                            amd64        low-level image manipulation library -- quantum depth Q16
iU  libmagickwand-6.q16-2:amd64                         8:6.8.9.9-5+deb8u11                            amd64        image manipulation library
iU  libmysqlclient18:amd64                              5.5.60-0+deb8u1A~4.2.3.201804221415            amd64        MySQL database client library
iU  libonig2:amd64                                      5.9.5-3.2+deb8u1                               amd64        Oniguruma regular expressions library
iU  libpam-systemd:amd64                                215-17+deb8u7A~4.2.3.201801211553              amd64        system and service manager - PAM module
iU  libperl5.20                                         5.20.2-3+deb8u10                               amd64        shared Perl library
iU  libpoppler46:amd64                                  0.26.5-2+deb8u4                                amd64        PDF rendering library
iU  libpq5:amd64                                        9.4.15-0+deb8u1                                amd64        PostgreSQL C client library
iU  libquadmath0:amd64                                  4.9.2-10+deb8u1                                amd64        GCC Quad-Precision Math Library
iU  libsane:amd64                                       1.0.24-8+deb8u2                                amd64        API library for scanners
iU  libsane-common                                      1.0.24-8+deb8u2                                all          API library for scanners -- documentation and support files
iU  libsmbclient:amd64                                  2:4.6.1-1A~4.2.0.201803051359                  amd64        shared library for communication with SMB/CIFS servers
iU  libsoup-gnome2.4-1:amd64                            2.48.0-1+deb8u1                                amd64        HTTP library implementation in C -- GNOME support library
iU  libsoup2.4-1:amd64                                  2.48.0-1+deb8u1                                amd64        HTTP library implementation in C -- Shared library
iU  libssl1.0.0:amd64                                   1.0.2n-0A~4.2.0.201801262211                   amd64        Secure Sockets Layer toolkit - shared libraries
iU  libtiff5:amd64                                      4.0.3-12.3+deb8u5                              amd64        Tag Image File Format (TIFF) library
iU  libtirpc1:amd64                                     0.2.5-1+deb8u1                                 amd64        transport-independent RPC library
iU  libvpx1:amd64                                       1.3.0-3+deb8u1                                 amd64        VP8 and VP9 video codec (shared library)
iU  libwbclient0:amd64                                  2:4.6.1-1A~4.2.0.201803051359                  amd64        Samba winbind client library
iU  libx11-6:amd64                                      2:1.6.2-3+deb8u1                               amd64        X11 client-side library
iU  libx11-data                                         2:1.6.2-3+deb8u1                               all          X11 client-side library
iU  libx11-xcb1:amd64                                   2:1.6.2-3+deb8u1                               amd64        Xlib/XCB interface library
iU  libxcursor1:amd64                                   1:1.1.14-1+deb8u1                              amd64        X cursor management library
iU  libxfixes3:amd64                                    1:5.0.1-2+deb8u1                               amd64        X11 miscellaneous 'fixes' extension library
iU  libxfont1:amd64                                     1:1.5.1-1+deb8u1                               amd64        X11 font rasterisation library
iU  libxi6:amd64                                        2:1.7.4-1+deb8u1                               amd64        X11 Input extension library
iU  libxml2:amd64                                       2.9.1+dfsg1-5+deb8u6                           amd64        GNOME XML library
iU  libxrandr2:amd64                                    2:1.4.2-1+deb8u1                               amd64        X11 RandR extension library
iU  libxslt1.1:amd64                                    1.1.28-2+deb8u3                                amd64        XSLT 1.0 processing library - runtime library
iU  libxtst6:amd64                                      2:1.2.2-1+deb8u1                               amd64        X11 Testing -- Record extension library
iU  libxv1:amd64                                        2:1.0.10-1+deb8u1                              amd64        X11 Video extension library
iU  libxvmc1:amd64                                      2:1.0.8-2+deb8u1                               amd64        X11 Video extension library
iU  libzzip-0-13:amd64                                  0.13.62-3+deb8u1                               amd64        library providing read access on ZIP-archives - library
iU  linux-image-4.9.0-ucs109-amd64-signed               3.0.2-22A~4.2.0.201803231159                   amd64        UCS - Linux kernel (standard)
iU  mysql-client-5.5                                    5.5.60-0+deb8u1A~4.2.3.201804221415            amd64        MySQL database client binaries
iU  mysql-server                                        5.5.60-0+deb8u1A~4.2.3.201804221415            all          MySQL database server (metapackage depending on the latest version)
iU  mysql-server-5.5                                    5.5.60-0+deb8u1A~4.2.3.201804221415            amd64        MySQL database server binaries and system database setup
iU  mysql-server-core-5.5                               5.5.60-0+deb8u1A~4.2.3.201804221415            amd64        MySQL database server binaries
iU  perl                                                5.20.2-3+deb8u10                               amd64        Larry Wall's Practical Extraction and Report Language
iU  perl-modules                                        5.20.2-3+deb8u10                               all          Core Perl modules
iU  python-samba                                        2:4.6.1-1A~4.2.0.201803051359                  amd64        Python bindings for Samba
iU  python-univention-config-registry                   12.0.1-8A~4.2.0.201802061802                   all          UCS - Python interface to configuration registry
iU  rpcbind                                             0.2.1-6+deb8u2A~4.2.3.201801251012             amd64        converts RPC program numbers into universal addresses
iU  samba-common                                        2:4.6.1-1A~4.2.0.201803051359                  all          common files used by both the Samba server and client
iU  samba-common-bin                                    2:4.6.1-1A~4.2.0.201803051359                  amd64        Samba common files used by both the server and the client
iU  samba-libs:amd64                                    2:4.6.1-1A~4.2.0.201803051359                  amd64        Samba core libraries
iU  smbclient                                           2:4.6.1-1A~4.2.0.201803051359                  amd64        command-line SMB/CIFS clients for Unix
iU  univention-config                                   12.0.1-8A~4.2.0.201802061802                   all          UCS - configuration manager
iU  univention-kernel-image                             10.0.0-12A~4.2.0.201802151039                  amd64        UCS - Linux kernel (standard)
failed
ERROR: The package state on this system is inconsistent.
       Please run 'dpkg --configure -a' manually
Error: Update aborted by pre-update script of release 4.2-4

Any idea why I get this?

thanks


#2

Hi,

This sounds like an Univention related question since there is no ownCloud error.

At https://help.univention.com you would find help.

Also - what environment do you have? How is your VMWare configured?